## ncbi-seg 0.0.20000620

=== debian/changelog ===
ncbi-seg (0.0.20000620-8) unstable; urgency=medium

  * Team upload.
  * d/rules: build for standard C 2017.
    This works around the build failure with gcc-15. (Closes: #1097436)
  * d/watch: upgrade to untrackable watch file v5.
  * d/control: remove redundant Rules-Requires-Root.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Sep 2025 19:04:35 +0200

ncbi-seg (0.0.20000620-7) unstable; urgency=medium

  * Team upload.
  * d/rules: workaround build failure with gcc-14. (Closes: #1066563)
  * d/{control,copyright}: update homepage from ftp to https.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Sep 2024 20:11:32 +0200

ncbi-seg (0.0.20000620-6) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Pranav Ballaney ]
  * Add autopkgtests
  * Install docs
  * Add Pranav Ballaney to Uploaders
  * Checksums should not go with examples

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Wed, 22 Jul 2020 05:07:40 +0530

ncbi-seg (0.0.20000620-5) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * debian/rules:
     - hardening=+all
     - obtain version automatically

 -- Andreas Tille <tille@debian.org>  Sun, 14 Oct 2018 00:42:34 +0200

ncbi-seg (0.0.20000620-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Add fake watch file

 -- Andreas Tille <tille@debian.org>  Thu, 05 Oct 2017 19:15:27 +0200

ncbi-seg (0.0.20000620-3) unstable; urgency=medium

  * Add myself as Uploader
  * cme fix dpkg-control
  * Priority: optional
  * debhelper 9
  * Add fake watch file
  * Remove -dbg package which is auto-generated now
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 14:23:24 +0100

ncbi-seg (0.0.20000620-2) unstable; urgency=medium

  * Fixes 'fails to build with clang instead of gcc' (Closes: #742060)

 -- Laszlo Kajan <lkajan@debian.org>  Sat, 13 Sep 2014 21:10:16 +0200

ncbi-seg (0.0.20000620-1) unstable; urgency=low

  * Initial version. (Closes: #680233)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 04 Jul 2012 16:11:12 +0000
