=== debian/control ===
Source: ncbi-seg
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@debian.org>,
           Andreas Tille <tille@debian.org>,
           Pranav Ballaney <ballaneypranav@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-seg
Vcs-Git: https://salsa.debian.org/med-team/ncbi-seg.git
Homepage: https://ftp.ncbi.nih.gov/pub/seg/seg/

Package: ncbi-seg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool to mask segments of low compositional complexity in amino acid sequences
 ncbi-seg (a.k.a. SEG) is a program for identifying and masking segments of
 low compositional complexity in amino acid sequences.
 .
 ncbi-seg divides sequences into contrasting segments of low-complexity and
 high-complexity.  Low-complexity segments defined by the
 algorithm represent "simple sequences" or "compositionally-biased regions".
 .
 This program is inappropriate for masking nucleotide sequences and, in fact,
 may strip some nucleotide ambiguity codes from nt. sequences as they are being
 read.
