=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# ncbi-seg is written in K&R C which would require extensive rewrites to
# accomodate modern C capabilities.  Since upstream hasn't seen an
# update since 2000, the severity of issues caught by the compiler is
# downgraded instead.
export DEB_CFLAGS_MAINT_APPEND = \
	-std=gnu17 \
	-Wno-error=implicit-function-declaration \
	-Wno-error=implicit-int

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf -X./COPYING

include /usr/share/dpkg/default.mk

get-orig-source:
	set -e; \
	t=$$(mktemp -d) || exit 1; \
	trap "rm -rf -- '$$t'" EXIT; \
	d="$$t/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).orig"; \
	mkdir "$$d"; \
	( cd "$$d"; \
	wget \
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/README\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/genwin.c\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/genwin.h\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/hiseg.c\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/lnfac.h\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/makefile\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/seg.c\
		ftp://ftp.ncbi.nih.gov/pub/seg/seg/seg.doc; \
	); \
	GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "./$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz" -C "$$t" "$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).orig"
