=== debian/watch ===
Version: 5
Untrackable: bare file set.

Source: https://ftp.ncbi.nih.gov/pub/seg/seg/
